org.eclipse.graphiti.ui.features

## Class AbstractDrillDownFeature

- java.lang.Object
- - org.eclipse.graphiti.features.impl.AbstractFeature
  - - org.eclipse.graphiti.features.custom.AbstractCustomFeature
    - - org.eclipse.graphiti.ui.features.AbstractDrillDownFeature

All Implemented Interfaces:
  ICustomFeature, IFeature, IFeatureProviderHolder, IDescription, IName

    public abstract class AbstractDrillDownFeature
    extends AbstractCustomFeature

The Class AbstractDrillDownFeature.

### Constructor Summary

Constructors
Constructor and Description
`AbstractDrillDownFeature(IFeatureProvider fp)` Creates a new `AbstractDrillDownFeature`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canExecute(ICustomContext context)` Can execute.
`void` `execute(ICustomContext context)` Execute.
`String` `getName()` Gets the name.
`boolean` `hasDoneChanges()` Is queried by the framework after a feature has been executed to find out if this feature should appear in the undo stack of e.g.

### Methods inherited from class org.eclipse.graphiti.features.custom.AbstractCustomFeature

`canExecute, execute, getDescription, getImageId, isAvailable`

### Methods inherited from class org.eclipse.graphiti.features.impl.AbstractFeature

`canUndo, getFeatureProvider, manageFont, manageFont, setProgressCallback, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canUndo`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Constructor Detail

#### AbstractDrillDownFeature

    public AbstractDrillDownFeature(IFeatureProvider fp)

Creates a new `AbstractDrillDownFeature`.

Parameters:
  `fp` - the feature provider

### Method Detail

#### getName

    public String getName()

Description copied from interface: `IName`
Gets the name.

Specified by:
  `getName` in interface `IName`
Overrides:
  `getName` in class `AbstractFeature`
Returns:
  the name

#### execute

    public void execute(ICustomContext context)

Description copied from interface: `ICustomFeature`
Execute.

Parameters:
  `context` - the context

#### canExecute

    public boolean canExecute(ICustomContext context)

Description copied from interface: `ICustomFeature`
Can execute.

Specified by:
  `canExecute` in interface `ICustomFeature`
Overrides:
  `canExecute` in class `AbstractCustomFeature`
Parameters:
  `context` - the context
Returns:
  true, if successful

#### hasDoneChanges

    public boolean hasDoneChanges()

Description copied from interface: `IFeature`
Is queried by the framework after a feature has been executed to find out if this feature should appear in the undo stack of e.g. an editor. By default all features should appear there (see implementation in `AbstractFeature`), but features may decide to override this behavior. Note that this is a dynamic attribute of the feature that is queried each time after the feature has been executed.

IMPORTANT NOTE: The implementor of the feature is responsible for correctly implementing this method! It might lead to inconsistencies in the command stack if this method returns `false` although the feature did changes.

Specified by:
  `hasDoneChanges` in interface `IFeature`
Overrides:
  `hasDoneChanges` in class `AbstractFeature`
Returns:
  `true` if the feature should appear in the undo stack, `false` otherwise